Summary: Library for manipulating panoramic images
Name: libpano12
Version: 2.8.6
Release: 4%{?dist}
License: GPLv2+
URL: http://panotools.sourceforge.net/
Group: Development/Libraries
Source: http://downloads.sourceforge.net/panotools/%{name}-%{version}.tar.gz
BuildRequires: libjpeg-devel, libtiff-devel, libpng-devel, zlib-devel
BuildRequires: libgcj-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Helmut Dersch's Panorama Tools library.  Provides very high quality
manipulation, correction and stitching of panoramic photographs.

Due to patent restrictions, this library has a maximum fisheye field-of-view
restriction of 160 degrees to prevent stitching of hemispherical photographs.

%package tools
Summary: Tools that use the libpano12 library
Group: Applications/Multimedia
Requires: libpano12 = %{version}-%{release}

%description tools
PTOptimizer, a command-line interface for control-point optimisation.
pano12info, a tool for querying the library capabilities

%package devel
Summary: Development tools for programs which will use the libpano12 library
Group: Development/Libraries
Requires: libpano12 = %{version}-%{release}
Requires: libjpeg-devel, libtiff-devel, libpng-devel, zlib-devel
Requires: libgcj-devel

%description devel
The libpano12-devel package includes the header files necessary for developing
programs which will manipulate panoramas using the libpano12 library.

%prep
%setup -q

%build
%configure --disable-static
make

%install
make install DESTDIR=%{buildroot}
rm %{buildroot}/%{_libdir}/libpano12.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog COPYING NEWS README README.linux
%{_libdir}/libpano12.so.0*

%files tools
%defattr(-, root, root)
%doc doc/Optimize.txt doc/stitch.txt
%{_bindir}/PTOptimizer
%{_bindir}/pano12info

%files devel
%defattr(-, root, root)
%{_includedir}/pano12
%{_libdir}/libpano12.so

%changelog
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.6-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.6-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 2.8.6-2
- Autorebuild for GCC 4.3

* Wed Aug 22 2007 Bruno Postle <bruno@postle.net> 2.8.6-1
- new release. PTmender, PTblender, PTtiff2psd and PTuncrop moved to libpano13
- fix Source tag

* Tue Aug 21 2007 Bruno Postle <bruno@postle.net> 2.8.4-8
- bumping for Jesse, update license tag GPL -> GPLv2+

* Tue Aug 15 2006 Bruno Postle <bruno@postle.net> 2.8.4-7
- Added note on 160 degree fisheye restriction

* Wed Jul 26 2006 Bruno Postle <bruno@postle.net> 2.8.4-6
- split into additional libpano12-tools

* Tue Jul 25 2006 Bruno Postle <bruno@postle.net> 2.8.4-5
- add docs and remove dist macro from changelog

* Tue Jul 25 2006 Bruno Postle <bruno@postle.net> 2.8.4-4
- setup -q and make during build

* Tue Jul 25 2006 Bruno Postle <bruno@postle.net> 2.8.4-3
- spec file tidying

* Mon Jun 19 2006 Bruno Postle <bruno@postle.net> 2.8.4-2
- 2.8.4 release. use dist tag, remove repo tag, kill libpano12.la file

* Fri Jun 16 2006 Bruno Postle <bruno@postle.net> 2.8.4-1.fc5.bp
- 2.8.4 release

* Tue Jun 11 2006 Bruno Postle <bruno@postle.net> 2.8.3-1cvs20060611.fc5.bp
- CVS snapshot, post 2.8.3 release.

* Tue May 30 2006 Bruno Postle <bruno@postle.net> 2.8.3-1cvs20060530.fc5.bp
- CVS snapshot, post 2.8.3 release.

* Sun May 28 2006 Bruno Postle <bruno@postle.net> 2.8.3-0cvs20060528.fc5.bp
- CVS snapshot, 2.8.3 release candidate.

* Sun May 21 2006 Bruno Postle <bruno@postle.net> 2.8.3-0cvs20060521.fc5.bp
- CVS snapshot, fixes circular fisheye bug + hack to install pt_stdint.h

* Wed May 16 2006 Bruno Postle <bruno@postle.net> 2.8.3-0cvs20060516.fc5.bp
- CVS snapshot, fixes cropped TIFF with fast transform crash

* Mon May 15 2006 Bruno Postle <bruno@postle.net> 2.8.1-1.fc5.bp
- 2.8.1 final release, various rpmlint fixes

* Thu Apr 27 2006 Bruno Postle <bruno@postle.net>
- 2.8.1rc1

* Fri Apr 21 2006 Bruno Postle <bruno@postle.net>
- CVS snapshot

* Wed Apr 19 2006 Bruno Postle <bruno@postle.net>
- new projections: sinusoidal, stereographic, mercator, transverse mercator

* Tue Apr 18 2006 Bruno Postle <bruno@postle.net>
- PTmender can now output flattened TIFF, JPEG & PNG
- new API to allow hugin to access routines directly

* Fri Mar 24 2006 Bruno Postle <bruno@postle.net>
- rebuild for fc5

* Tue Mar 14 2006 Bruno Postle <bruno@postle.net>
- latest CVS. new region-of-interest rendering optimisation

* Sun Mar 05 2006 Bruno Postle <bruno@postle.net>
- 2.8.0 stable release

* Mon Feb 20 2006 Bruno Postle <bruno@postle.net>
- latest CVS. new tool PTtiff2psd

* Tue Jan 24 2006 Bruno Postle <bruno@postle.net>
- PTmender updates. new tool PTmender

* Fri Jan 13 2006 Bruno Postle <bruno@postle.net>
- PTmender updates

* Thu Jan 12 2006 Bruno Postle <bruno@postle.net>
- PTmender updates

* Mon Jan 09 2006 Bruno Postle <bruno@postle.net>
- update to 2.8.0 release, now includes PTmender

* Thu Nov 24 2005 Bruno Postle <bruno@postle.net>
- update to 2.7.0.14 release

* Tue Nov 01 2005 Bruno Postle <bruno@postle.net>
- oops 2.7.0.11-2 broken, roll back

* Tue Jul 19 2005 Bruno Postle <bruno@postle.net>
- Built from 2.7.0.11 + latest CVS.

* Sat May 14 2005 Bruno Postle <bruno@postle.net>
- Built from 2.7.0.9 + latest CVS. Another 2.7.0.10 pre-release.

* Wed May 04 2005 Bruno Postle <bruno@postle.net>
- Built from 2.7.0.9 + latest CVS. Another 2.7.0.10 pre-release.

* Sat Apr 30 2005 Bruno Postle <bruno@postle.net>
- Built from 2.7.0.9 + other stuff. This is a 2.7.0.10 pre-release.

* Wed Nov 17 2004 Bruno Postle <bruno@postle.net>
- Built from 2.7.0.8 release tarball.

* Mon Nov 15 2004 Bruno Postle <bruno@postle.net>
- Built from pre 2.7.0.7 tarball.
  Now builds entirely with GNU autotools.
  JPEG optimisation feature for PTStitcher users.

* Tue Oct 12 2004 Bruno Postle <bruno@postle.net>
- Built from release-2.7.0.6 tarball.
  Renamed from panorama-tools to libpano12 & libpano12-devel for fc2.
  Added panoinfo utility.

* Fri Jul 23 2004 Bruno Postle <bruno@postle.net>
- Updated to latest cvs - should fix problem with pteditor/picker not
  reading jpg files.

* Fri Jul 16 2004 Bruno Postle <bruno@postle.net>
- Discovered that the library builds without a sun java jdk so long as
  the libgcj-devel package is installed, fixed dependencies as appropriate.

* Tue May 18 2004 Bruno Postle <bruno@postle.net>
- removed all nonfree stuff, this is now in a separate src.rpm.
  added experimental patch for many optimizer fixes.
  now uses sourceforge cvs: sourceforge: cvs export -r release-2-7 -d libpano-2.7 libpano
  add source-available PTOptimizer

* Sat Nov 30 2003 Bruno Postle <bruno@postle.net>
- Finally split the package into panorama-tools and panorama-tools-nonfree.
  Hopefully nona will be a replacement for ptstitcher and nonfree
  can disappear.

* Sat Nov 22 2003 Bruno Postle <bruno@postle.net>
- Three more patches from Jim Watters: one allows the optimiser to link
  roll, pitch and yaw; the second fixes various .psd output problems;
  the third lowers the luminance randomisation (only affects the
  photoshop plug-in).

* Wed Sep 03 2003 Bruno Postle <bruno@postle.net>
- Patch to sync with latest Max Lyons win32 version - These only
  affect win32 photoshop plugin (gimp is standalone), so this is
  just a maintenance release.

* Fri Jul 25 2003 Bruno Postle <bruno@postle.net>
- Added patches to sync with latest Max Lyons win32 version

* Sat May 10 2003 Bruno Postle <bruno@postle.net>
- wrappers now cd to /usr/share/panorama-tools

* Tue May 06 2003 Bruno Postle <bruno@postle.net>
- Removed dependency on /usr/lib/java/bin/java since rpm doesn't follow
  symlinks

* Mon May 05 2003 Bruno Postle <bruno@postle.net>
- Initial rpm. includes Max Lyons patches and forgotten sys_ansi.h file

